Skip to main content
`Ctrl`+`K`

# PEPSetTolerances

Sets the tolerance and maximum iteration count used by the `PEP` convergence tests.

## Synopsis

    #include "slepcpep.h"
    PetscErrorCode PEPSetTolerances(PEP pep,PetscReal tol,PetscInt maxits)

Logically Collective

## Input Parameters

- pep - the polynomial eigensolver context

- tol - the convergence tolerance

- maxits - maximum number of iterations to use

## Options Database Keys

- -pep_tol tol - sets the convergence tolerance

- -pep_max_it maxits - sets the maximum number of iterations allowed

## Note

Use `PETSC_CURRENT` to retain the current value of any of the parameters. Use `PETSC_DETERMINE` for either argument to assign a default value computed internally (may be different in each solver). For `maxits` use `PETSC_UNLIMITED` to indicate there is no upper bound on this value.

## See Also

PEP: Polynomial Eigenvalue Problems, `PEPGetTolerances()`

## Level

intermediate

## Location

src/pep/interface/pepopts.c

Index of all PEP routines Table of Contents for all manual pages Index of all manual pages